Loading...
Searching...
No Matches
Ogre::ObjectAbstractNode Class Reference
Core » Script

This specific abstract node represents a script object. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ObjectAbstractNode:
[legend]

## Public Member Functions

| ObjectAbstractNode (AbstractNode *ptr)
void | addVariable (const String &name)
AbstractNode * | clone () const override
| Returns a new AbstractNode which is a replica of this one.
const String & | getValue () const override
| Returns a string value depending on the type of the AbstractNode.
std::pair< bool, String > | getVariable (const String &name) const
const std::map< String, String > & | getVariables () const
void | setVariable (const String &name, const String &value)
Public Member Functions inherited from Ogre::AbstractNode
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
ScriptProperty | getProperty () const
| Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.
const String & | getString () const
| Returns the string content of the node for ANT_ATOM. Empty string otherwise.

## Public Attributes

bool | abstract
std::vector< String > | bases
AbstractNodeList | children
String | cls
uint32 | id
String | name
AbstractNodeList | overrides
AbstractNodeList | values
Public Attributes inherited from Ogre::AbstractNode
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Detailed Description

This specific abstract node represents a script object.

## Constructor & Destructor Documentation

## ObjectAbstractNode()

Ogre::ObjectAbstractNode::ObjectAbstractNode | ( | AbstractNode * | ptr | ) |

References Ogre::AbstractNode::AbstractNode().

## Member Function Documentation

## clone()

AbstractNode * Ogre::ObjectAbstractNode::clone | ( |  | ) | const

override virtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

References Ogre::AbstractNode::AbstractNode().

## getValue()

const String & Ogre::ObjectAbstractNode::getValue | ( |  | ) | const

inline override virtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

References cls.

## addVariable()

void Ogre::ObjectAbstractNode::addVariable | ( | const String & | name | ) |

References name.

## setVariable()

void Ogre::ObjectAbstractNode::setVariable | ( | const String & | name,
|  | const String & | value )

References name.

## getVariable()

std::pair< bool, String > Ogre::ObjectAbstractNode::getVariable | ( | const String & | name | ) | const

References name.

## getVariables()

const std::map< String, String > & Ogre::ObjectAbstractNode::getVariables | ( |  | ) | const

## Member Data Documentation

## name

String Ogre::ObjectAbstractNode::name

Referenced by addVariable(), getVariable(), and setVariable().

## cls

String Ogre::ObjectAbstractNode::cls

Referenced by getValue().

## bases

std::vector<String> Ogre::ObjectAbstractNode::bases

## id

uint32 Ogre::ObjectAbstractNode::id

## abstract

bool Ogre::ObjectAbstractNode::abstract

## children

AbstractNodeList Ogre::ObjectAbstractNode::children

## values

AbstractNodeList Ogre::ObjectAbstractNode::values

## overrides

AbstractNodeList Ogre::ObjectAbstractNode::overrides

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h